kodi (2:21.2+dfsg-4build2) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 23 May 2025 05:50:56 +0200

kodi (2:21.2+dfsg-4build1) questing; urgency=medium

  * No-change rebuild for libtinyxml2-11.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 03 May 2025 16:21:26 +0000

kodi (2:21.2+dfsg-4) unstable; urgency=high

  [ Alban Browaeys ]
  * Fix kodi spamming logs with pipewire errors

  [ Vasyl Gello ]
  * debian: move patch to workarounds

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 30 Mar 2025 12:25:06 +0000

kodi (2:21.2+dfsg-3) unstable; urgency=high

  * Revert "Restrict tinyxml2 to 10.x for now (Closes: #1100726)"

 -- Vasyl Gello <vasek.gello@gmail.com>  Tue, 18 Mar 2025 12:31:12 +0000

kodi (2:21.2+dfsg-2) unstable; urgency=high

  * Add workaround for pipewire 1.4.0 (Closes: #1100094, #1100691)
  * Restrict tinyxml2 to 10.x for now (Closes: #1100726)
  * Apply patch to fix FTCBFS (Closes: #1095180)

 -- Vasyl Gello <vasek.gello@gmail.com>  Tue, 18 Mar 2025 06:14:05 +0000

kodi (2:21.2+dfsg-1) unstable; urgency=high

  * New upstream version 21.2+dfsg
  * Drop patches merged upstream and refresh cdatetime patchset
  * Fix Lintian warnings

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 15 Jan 2025 23:24:00 +0000

kodi (2:21.1+dfsg-8) unstable; urgency=medium

  * Team upload.

  [ Vasyl Gello ]
  * Fix cross-compiling of JsonSchemaBuilder and TexturePacker

  [ Boyuan Yang ]
  * Add workaround for taglib2 compatibility. (Closes: #1092865)
  * debian/control: Use build-dependency package from taglib 2.x:
    libtag1-dev => libtag-dev.

 -- Boyuan Yang <byang@debian.org>  Mon, 13 Jan 2025 19:40:44 -0500

kodi (2:21.1+dfsg-7) unstable; urgency=high

  * Add workaround for python3.13 (Closes: #1092082)

 -- Vasyl Gello <vasek.gello@gmail.com>  Tue, 07 Jan 2025 19:02:30 +0000

kodi (2:21.1+dfsg-6) unstable; urgency=high

  * Add workaround for UPnP playback of second and next video
  * Add workaround for OpenGL crashes on older hw
  * Add workaround for swig FTBFS (Closes: #1091112)

 -- Vasyl Gello <vasek.gello@gmail.com>  Thu, 26 Dec 2024 06:08:40 +0000

kodi (2:21.1+dfsg-5) unstable; urgency=medium

  * Switch to file:// protocol for local language repo
  * Catch unprintable Persian symbols across packaging

 -- Vasyl Gello <vasek.gello@gmail.com>  Thu, 12 Sep 2024 14:18:15 +0000

kodi (2:21.1+dfsg-4) unstable; urgency=medium

  * d/control: Add python3-setuptools to B-D (Closes: #1080628)
  * Adjust symlink to Roboto-Thin.ttf (Closes: #1070345)

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 08 Sep 2024 06:28:24 +0000

kodi (2:21.1+dfsg-3) unstable; urgency=critical

  * workarounds/pcre: Drop CFTPParse port

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 21 Aug 2024 16:32:04 +0000

kodi (2:21.1+dfsg-2) unstable; urgency=high

  * Add patch to disable PingHost test

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 19 Aug 2024 04:13:25 +0000

kodi (2:21.1+dfsg-1) unstable; urgency=high

  * New upstream version 21.1+dfsg
  * d/copyright: Remove entries for excluded files and clarify skin.estuary
  * Use local language pack repository (Closes: #1042996)
  * Change branch pointers back to debian/sid

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 18 Aug 2024 19:24:33 +0000

kodi (2:21.1~git20240809.ec4eb19+dfsg1-1) experimental; urgency=medium

  * New upstream version 21.1~git20240809.ec4eb19+dfsg1
  * Separate language packs (Closes: #1042996)
  * d/copyright: Address review points by Thorsten Alteholz
    + add info about translators and authors of dh-addon
    + filter out unused lidvdnav headers covered by GPL-2 license

 -- Vasyl Gello <vasek.gello@gmail.com>  Sat, 10 Aug 2024 14:07:53 +0000

kodi (2:21.1~git20240809.ec4eb19+dfsg-1) experimental; urgency=medium

  * New upstream version 21.1~git20240809.ec4eb19+dfsg (Closes: #1075117, #1076176)

  [ Boyuan Yang ]
  * Drop build-dep on autotools

  [ Bastian Germann ]
  * Drop OMX support (see #1065623)

  [ Vasyl Gello ]
  * Add pcre2 Use-After-Free fixup
  * d/copyright: drop obsolete path
  * d/control: Bump version to 4.7.0 (no changes required)
  * Add workaround for ffmpeg 7.0 (Closes: #1072427)

 -- Vasyl Gello <vasek.gello@gmail.com>  Fri, 09 Aug 2024 04:17:46 +0000

kodi (2:21.0~rc1+dfsg-1) experimental; urgency=medium

  * New upstream version 21.0~rc1+dfsg
  * Separate language packs (Closes: #1042996)
  * Refresh patches
  * Fix lintian warnings
  * d/control: Add new build-deps


 -- Vasyl Gello <vasek.gello@gmail.com>  Thu, 07 Mar 2024 21:09:04 +0000

kodi (2:20.3+dfsg-1) unstable; urgency=medium

  * New upstream version 20.3+dfsg (Closes: #1061600)
  * Build with APP_RENDER_SYSTEM=gles for arm platforms (Closes: #1056563)
  * Add pcre2 patch (Closes: #1000113)
  * Add workaround for LoongArch (Closes: #1054463)
  * Drop obsolete font metapackages from deps (Closes: #1050052)
  * Drop patches merged upstream
  * Update cdatetime-std-chrono patchset

 -- Vasyl Gello <vasek.gello@gmail.com>  Sat, 03 Feb 2024 13:51:04 +0000

kodi (2:20.2+dfsg-4) unstable; urgency=medium

  * Add patch to fix crash with ffmpeg6
  * Fix FTBFS on s390x (Closes: #1043128)

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 06 Aug 2023 08:31:29 +0000

kodi (2:20.2+dfsg-3) unstable; urgency=medium

  * Revert language pack patches for now to land
    in unstable

 -- Vasyl Gello <vasek.gello@gmail.com>  Fri, 04 Aug 2023 23:26:08 +0000

kodi (2:20.2+dfsg-2) unstable; urgency=medium

  * d/gbp.conf: Drop unnecessary upstream-branch
  * debian: switch to DEP-14 git branch naming scheme
  * Prepare for language pack separation
  * Separate language packs (Closes: #1042996)
  * Fix build against FFmpeg 6.0 (Closes: #1041400)
  * Add patch for CD/DVD playback without mount support

 -- Vasyl Gello <vasek.gello@gmail.com>  Fri, 04 Aug 2023 19:25:39 +0000

kodi (2:20.2+dfsg-1) unstable; urgency=medium

  * New upstream version 20.2+dfsg

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 03 Jul 2023 08:50:21 +0000

kodi (2:20.1+dfsg-1) unstable; urgency=medium

  * New upstream version 20.1+dfsg
  * Refresh cdatetime-std-chrono patchset
  * Drop patches merged upstream

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 12 Mar 2023 09:31:18 +0000

kodi (2:20.0+dfsg-2) unstable; urgency=high

  * s/gbp.conf: Switch to versioned upstream branches
  * Fix CVE-2023-23082 (Closes: #1031048)

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 13 Feb 2023 10:43:13 +0000

kodi (2:20.0+dfsg-1) unstable; urgency=medium

  * New upstream version 20.0+dfsg
  * d/rules: Add alpha and arm64 overrides
  * Refresh ports patch
  * Refresh libdvd patch
  * Refresh cdatetime-std-chrono patchset
  * Drop patches merged upstream
  * Refresh ffmpeg5 patch

 -- Vasyl Gello <vasek.gello@gmail.com>  Sat, 21 Jan 2023 18:03:44 +0000

kodi (2:20.0~rc2+dfsg-2) unstable; urgency=medium

  * d/rules: Declare ports architectures
  * Add patch to build on ports architectures
  * Refresh ffmpeg5 patch
  * Patch DoS vulnerability awaiting for CVE

 -- Vasyl Gello <vasek.gello@gmail.com>  Thu, 05 Jan 2023 07:24:56 +0000

kodi (2:20.0~rc2+dfsg-1) unstable; urgency=medium

  * New upstream version 20.0~rc2+dfsg
  * d/control: Add B+R on kodi-addons-dev
  * d/control: Bump standards version (no changes required)
  * d/copyright: Bump copyright years
  * Drop patches merged upstream

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 19 Dec 2022 19:06:13 +0000

kodi (2:20.0~rc1+dfsg1-1) unstable; urgency=medium

  * New upstream version 20.0~rc1+dfsg1
  * Drop obsolete build dependency libgl1-mesa-dev
  * Add Breaks/Replaces to kodi-addons-dev fixing piuparts failure
    in stable2sid
  * Add copyright entries for embedded libdvd*
  * Drop copyright entry for libdate-tz-embedded and several
    other extinct paths
  * Fix the missing manpage after move of /usr/bin/dh_kodiaddon_depends
  * Add patches for bashisms in kodi.sh
  * Add descriptions to workaround patches
  * Use +dfsg instead of +dfsg1 in watchfile
  * Add workaround patches addressing removal of EGL Chromium headerfile
    in Mesa 22.3.0 anda regression of playlist detection in Kodi 20 RC1
  * Refresh cdatetime patchset fixing broken test spotted during
    reproducibility test
  * Fix placement of zeroconf wrapper
  * Drop old NEWS entry about systemd integration

 -- Vasyl Gello <vasek.gello@gmail.com>  Tue, 13 Dec 2022 15:04:25 +0000

kodi (2:20.0~beta1+dfsg1-2) unstable; urgency=medium

  * d/rules: Add installable dummy file to kodi/system
  * Add workaround to fix crossbuilds

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 09 Nov 2022 21:16:07 +0000

kodi (2:20.0~beta1+dfsg1-1) unstable; urgency=medium

  * New upstream version 20.0~beta1+dfsg1
  * Refresh cdatetime patchset
  * Refresh kodi and libdvdread patchsets
  * Refresh ffmpeg5 patchset

 -- Vasyl Gello <vasek.gello@gmail.com>  Tue, 08 Nov 2022 19:44:52 +0000

kodi (2:20.0~alpha3+git20221015.976c5c8+dfsg1-1) unstable; urgency=medium

  * New upstream version 20.0~alpha3+git20221015.976c5c8+dfsg1
  * Ship firewalld files (Closes: #1015956)
  * Bump standards version
  * Fix lintian warnings
  * Use system howardhinnant-date
  * d/watch: Switch to git tags instead of webpage scraping
  * d/watch: Temporary switch libdvd* to master branch
  * Refresh kodi patchset
  * Drop libdvdnav patchset
  * Drop workaround patches merged upstream
  * Refresh cdatetime-std-chrono patchset
  * workarounds: Add libdvd* callback support (Closes: #1020452)
  * workarounds: refresh ffmpeg5 patch (Closes: #1016925)
  * d/rules: Follow on upstream buildsystem changes

 -- Vasyl Gello <vasek.gello@gmail.com>  Sat, 15 Oct 2022 16:54:13 +0000

kodi (2:20.0~alpha2+dfsg1-1) unstable; urgency=medium

  * New upstream version 20.0~alpha2+dfsg1
  * d/copyright fixes:
    + Keep COMPONENT-VERSION files in tools/depends/target
    + Remove useless versioncheck addon (Closes: #1015163)
    + Bump copyright years
  * Remove obsoleted patches and update the rest:
    + Add patch fixing color conversion test (merged)
    + Add patch for overriding local tarball checksum (merged)
    + Add patch for ffmpeg 5 support (not merged) (Closes: #1004612)
    + Add patch for proper fix of EDL rounding (merged)
    + Add patch for building against libfmt 9.0.0 (merged) (Closes: #1014542)
  * d/rules fixes:
    + Don't rely on versionfile parsing
  * + Supply SHA256 hashes for libdvd*
  * Upload to unstable.

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 03 Aug 2022 14:24:22 +0000

kodi (2:20.0~alpha1+dfsg1-2) experimental; urgency=medium

  * Fix failing tests and restore timezone picker (Closes: #1011241)

 -- Vasyl Gello <vasek.gello@gmail.com>  Thu, 19 May 2022 15:08:49 +0000

kodi (2:20.0~alpha1+dfsg1-1) experimental; urgency=medium

  * New upstream version 20.0~alpha1+dfsg1
  * Leave only language packs in repo-resources-embedded
  * Branch out experimental
  * Restrict watchfile to next Debian stable codename
  * Add pipewire to build-dependencies
  * Refresh Kodi patches
  * Add workaround patches
  * Refresh cdatetime-std-chrono patches
  * Refresh headers-check.c
  * Use system RapidJSON
  * Bump libdate-tz C++ standard to 17 and enable StringView back

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 16 May 2022 06:45:07 +0000

kodi (2:19.4+dfsg2-1) unstable; urgency=medium

  * New upstream version 19.4+dfsg2
    + Ship language packs for offline use (Closes: #1009278)
    + Add copyright entry for language pack tarball
  * Build libdate-tz as external build-dependency of Kodi.
  * d/rules: Annotate actions and replace direct source patching
    within rulefile with proper compiler definition
  * d/rules: Fix improper cleanup of generated embedded tarballs

 -- Vasyl Gello <vasek.gello@gmail.com>  Fri, 29 Apr 2022 07:10:17 +0000

kodi (2:19.4+dfsg1-2) unstable; urgency=medium

  * Upload to unstable

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 09 Apr 2022 12:51:13 +0000

kodi (2:19.4+dfsg1-1) experimental; urgency=medium

  * New upstream version 19.4+dfsg1
  * Drop system/certs and .github from tarball
  * Refresh patches
  * Reorder package structure to allow installation on
    foreign architectures (Closes: #996627)
  * Move TexturePacker to a separate binary package
  * Fix Lintian warnings.
  * Build native prerequisites before configure if cross-building
  * Version the build-dependency on gtest to >= 1.10.0~
  * d/watch: Switch libdate-tz to tags
  * Put KodiConfig.cmake in arch-dep place (Closes: #999482)
  * Add patches for cross build support

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 21 Mar 2022 17:48:21 +0000

kodi (2:19.3+dfsg1-1) unstable; urgency=medium

  * New upstream version 19.3+dfsg1
  * Refresh patches
  * Add proper WITH_ARCH for amd64, i386 and riscv64
  * Disable DebugFission by CMake configuration option instead of patch
  * Use the system kissft
  * kodi-bin: Remove unused lintian override

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 24 Oct 2021 14:45:29 +0000

kodi (2:19.2+dfsg1-2) unstable; urgency=medium

  * Fix AppStream warning with metainfo file
  * Make build reproducible

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 13 Oct 2021 22:12:35 +0000

kodi (2:19.2+dfsg1-1) unstable; urgency=medium

  * New upstream version 19.2+dfsg1
  * Restrict watchfile to current Debian stable codename
  * Bump standard version
  * Refresh patches
  * Install package metainfo

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 06 Oct 2021 10:59:56 +0000

kodi (2:19.1+dfsg2-2) unstable; urgency=medium

  * Add runtime locale test and fallback (Closes: #989814)

 -- Vasyl Gello <vasek.gello@gmail.com>  Thu, 24 Jun 2021 20:44:30 +0000

kodi (2:19.1+dfsg2-1) unstable; urgency=medium

  * New upstream version 19.1+dfsg2
  * Merge 'bullseye' branch into master and revert patches
    related to newer libdvdread and branch isolation.
  * Drop the patch downgrading ffmpeg to fit buster-backports.

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 07 Jun 2021 16:42:08 +0200

kodi (2:19.0+dfsg1-2) unstable; urgency=medium

  * Add missing font dependency (Closes: #985497)
  * Fix github ref
  * Branch out bullseye
  * Refresh cdatetime-std-chrono patch (Closes: #984682)
  * libdate-tz: Fix crash for early local times and USE_OS_TZDB

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 30 May 2021 04:57:39 +0000

kodi (2:19.1+dfsg1-1~exp0) experimental; urgency=medium

  * New upstream version 19.1+dfsg1
  * Add missing font dependency (Closes: #985497)
  * Fix links to Github releases in watchfile
  * Refresh patches
  * Prepare for official backport
  * Refresh cdatetime-std-chrono patch (Closes: #984682)
  * libdate-tz: Fix crash for early local times and USE_OS_TZDB

 -- Vasyl Gello <vasek.gello@gmail.com>  Sat, 15 May 2021 21:15:26 +0000

kodi (2:19.0+dfsg1-1) unstable; urgency=medium

  * New upstream version 19.0+dfsg1
  * Declare proper Debian release splitting kodi-addons-dev (Closes: #980846)
  * Detect and honor big-endian architectures
  * Refresh cdatetime-std-chrono patch

 -- Vasyl Gello <vasek.gello@gmail.com>  Fri, 19 Feb 2021 00:02:45 +0000

kodi (2:19.0~rc1+git20210119.8c761c4+dfsg1-2) experimental; urgency=medium

  * Team upload.
  * Re-instate the kodi-addons-dev-common package split.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 20 Jan 2021 01:56:06 +0100

kodi (2:19.0~rc1+git20210119.8c761c4+dfsg1-1) unstable; urgency=medium

  [ Vasyl Gello ]
  * New upstream version 19.0~rc1+dfsg1 and 19.0~rc1+git20210119.8c761c4+dfsg1.
    + Fix possible crash on shutdown. (Closes: #979367)
    + New upstream snapshot fixes non-DFSG free JPEG image
      which led to FTP master rejection
  * d/watch: mangle capital letter abbrevs too
  * Delete patches merged upstream
  * Refresh cdatateime-std-chrono patch
  * copyright: Reflect skin.estuary picture replacement

  [ Mattia Rizzolo ]
  * Temporary revert the kodi-addons-dev-common split to avoid NEW fo
    this upload (the previous version was rejected from NEW).
  * Upload to unstable.

 -- Vasyl Gello <vasek.gello@gmail.com>  Tue, 19 Jan 2021 20:02:25 +0000

kodi (2:19.0~beta2+dfsg1-6) experimental; urgency=medium

  [ Mattia Rizzolo ]
  * d/control: define dh-sequence-kodiaddon as a versioned Provides

  [ Vasyl Gello ]
  * Check the existence of kodi include dir's full path
    in dh_kodiaddon_depends.
  * Refresh cdatetime-std-chrono patch. (Closes: #980038)
  * Introduce a kodi-addons-dev-common package to hold all the arch-indep
    files.

 -- Vasyl Gello <vasek.gello@gmail.com>  Tue, 12 Jan 2021 02:57:10 +0000

kodi (2:19.0~beta2+dfsg1-5) unstable; urgency=medium

  * Team upload.
  * Fix arch:all build after turning kodi-addons-dev arch:any.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 10 Jan 2021 20:46:04 +0100

kodi (2:19.0~beta2+dfsg1-4) unstable; urgency=medium

  * Team upload.

  [ Vasyl Gello ]
  * d/watch: Declare bare git snapshot naming scheme since v20.

  [ Mattia Rizzolo ]
  * Mark kodi-addons-dev as Arch:any.
    This is to prevent addons from building in architectures where Kodi
    is not available.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 10 Jan 2021 15:57:30 +0100

kodi (2:19.0~beta2+dfsg1-3) unstable; urgency=medium

  * d/upstream/metadata: Add Bug-Submit URL
  * Drop libenca-dev build dependency
  * dh_kodiaddon_depends: Provide a sliding window
    for ABI bumps to avoid unnecessary addon rebuild

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 03 Jan 2021 08:45:17 +0000

kodi (2:19.0~beta2+dfsg1-2) unstable; urgency=medium

  [ Vasyl Gello ]
  * Upload to unstable (Closes: #926922)
  * d/watch: Simplify dversionmangle
  * Update Vcs-Git/Vcs-Browser for the move to 'kodi-media-center' subgroup
  * Restore libfreetype6-dev alternative build-dep for buster.

  [ Tobias Frost ]
  * Add CVE-ids to past changelog entries when they have been fixed,
    as per security team policy.

 -- Vasyl Gello <vasek.gello@gmail.com>  Tue, 22 Dec 2020 10:01:37 +0000

kodi (2:19.0~beta2+dfsg1-1) experimental; urgency=medium

  * New upstream version 19.0~beta2+dfsg1
    + Fix kodi-ps3remote crash. (Closes: #962929)
  * Build a new kodi-eventclients-zeroconf package with the zeroconf scripts
  * Add breaks and replaces to kodi-eventclients-ps3
  * Backport a patch from Kodi 20 to replace CDateTime with cdate-std-chrono.
    Fixes test failures on multiple architectures.
    + Add libdate-tz as component tarball
  * Update d/copyright
  * Use the system-wide tzdata.
  * Drop clang-format from build-deps, not actually needed during the build
  * Mark kodi-addons-dev as indep
  * Fix arch-indepedent-only build (Closes: #976303)
  * Bump Standards-Version to 4.5.1 (no changes required)
  * Fix lintian warnings

 -- Vasyl Gello <vasek.gello@gmail.com>  Sat, 19 Dec 2020 04:55:34 +0000

kodi (2:19.0~alpha3+dfsg1-1) experimental; urgency=medium

  [ Vasyl Gello ]
  * New upstream version 19.0~alpha3+dfsg1
    + This version fully builds with Python 3. (Closes: 936805)
  * Refresh patches
  * Revert "temporary disable tests parallelism", in 19.0 tests run fine
  * Bump the required ffmepg version
  * Don't use clang-format on x32
  * Drop the build-dep on lib-p8-platform
  * Update the watchfile
  * Don't run dwz during the build as it fails on us
  * Add several Multi-Arch fields, from the M-A hinter
  * Fix several lintian warnings
  * Add default webinterface as debian include (this is temporary until the
    packaging of the new interface is completed)
  * Retrieve embedded libdvdnav and libdvdread from upstream
  * debian/header-check.c: Add new and delete removed headers
  * Refresh copyright information
  * Provide 'dh-sequence-kodiaddon' virtual package
  * Drop kodi-x11, kodi-wayland and kodi-gbm packages, now the same binary
    can handle all window systems

  [ Adrian Bunk ]
  * Rename SSE patch file (Closes: #961856)

 -- Vasyl Gello <vasek.gello@gmail.com>  Tue, 17 Nov 2020 13:04:40 +0100

kodi (2:18.8+dfsg1-2) unstable; urgency=medium

  * temporary disable tests parallelism (Closes: #968339)
  * add myself to Uploaders

 -- Vasyl Gello <vasek.gello@gmail.com>  Thu, 03 Sep 2020 01:48:09 +0300

kodi (2:18.8+dfsg1-1) unstable; urgency=medium

  [ Vasyl Gello ]
  * Team upload
  * fix circular dependency hell (Closes: #963865)
  * Depend on libudfread & shairplay
  * remove unnecessary dlopen-ed shlibdeps from kodi-bin
  * remove dummy remnant

  [ Jonas Smedegaard ]
  * Remove myself from Uploaders

  [ Vasyl Gello ]
  * drop unnecessary cpluff component
  * New upstream version 18.8+dfsg1 (Closes: #964591)
  * Refresh patches

  [ Adrian Bunk ]
  * Don't enable SSE in i386 builds (Closes: #961856)

  [ Balint Reczey ]
  * debian/README.source: Clarify that dvdread and dvdnav are patched for Kodi
  * debian/gbp.conf: Set components
  * debian/README.source: Gbp now exports components properly
  * New upstream version 18.7.1+dfsg1

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 03 Aug 2020 02:20:44 +0000

kodi (2:18.7+dfsg1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 18.7
  * Refresh patches
  * Update additional tarballs to libdvdnav 6.1.0 and libdvdread 6.1.1

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 26 May 2020 16:14:53 +0200

kodi (2:18.6+dfsg1-2) unstable; urgency=medium

  * Team upload
  * Drop pycryptodome support with Python 2
  * debian/control: Revert kodi-data to depend on python-pil instead of python3-pil.
    Kodi runs addons with Python 2 and many addons would break without PIL.
  * Run kodi-ps3remote with Python 3
  * Apply suggestion to debian/rules
  * debian/rules: Ship debug symbols for all kodi binaries and drop -dbg migration
    (Closes: #955134)

 -- Balint Reczey <rbalint@ubuntu.com>  Fri, 03 Apr 2020 13:48:30 +0200

kodi (2:18.6+dfsg1-1) unstable; urgency=medium

  * Upload to unstable

 -- Balint Reczey <rbalint@ubuntu.com>  Sat, 21 Mar 2020 16:39:01 +0100

kodi (2:18.6+dfsg1-1~exp1) experimental; urgency=medium

  * test: Disable flaky TestMassEvent.General test, too

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 19 Mar 2020 21:41:10 +0100

kodi (2:18.6+dfsg1-1~exp0) experimental; urgency=medium

  * debian/rules: Set -DWITH_ARCH=... and -DNEON=False explicitly for armel,
    armhf, ppc64el and s390x. Those Debian architectures are not detected
    properly by upstream CMake scripts.
  * Build-depend on python2-dev
  * Reposition "from debian" on the main screen to adjust to the changed new
    skin
  * Don't strip service.xbmc.versioncheck addon from upstream tarball
  * New upstream version 18.6
  * Ship versioncheck addon disabled
  * Disable long-time failing test and fix others instead of ignoring all test
    results
  * Drop obsolete patches
  * Drop 03-privacy.patch and add TODO item about resurrecting it properly
  * Refresh patches
  * Run kodi-send with Python 3
  * test: Disable flaky TestMassEvent.Polling test
  * Fix ppc64el build
  * Fix arch detection
  * test: Skip checking errno against ENOEN to not FTBFS on armhf

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 18 Mar 2020 12:09:23 +0100

kodi (2:18.5+dfsg1-1~exp0) experimental; urgency=medium

  [ Balint Reczey ]
  * Team upload
  * debian/tests/gui: Wait for kodi to start, not just a fixed 5 seconds
  * Refresh patches
  * Update extra libdvdnav and libdvdread original tarballs
  * debian/copyright_hints: Update hints with new files
  * debian/control: Tidy up using cme fix
  * debian/gitlab-ci.yml: Add Salsa CI configuration
  * Refresh build dependencies based on upstream's packaging
  * Ship separate packages for X11, Wayland and GBM
  * debian/rules:
    - Rewrite to use cmake and build separate binaries.
      Thanks to Wolfgang Schupp
    - Extend override_dh_clean
    - Pass -lphtread to linker by default
    - Refactor building Debianized artifacts
    - Run tests for each build dir
    - Clean up separate build directories
    - clean media/Fonts/arial.ttf, too
    - Call dh with python2
    - Drop obsolete --parallel dh argument
    - Adjust to new component names
  * debian/copyright: Fix open issues and Lintian complaints
  * Let upstream's build system build the embedded libdvdnav and libread
    libraries
  * Install TexturePacker to /usr/bin/
  * Ignore failing tests for now
  * Update which files are shipped by which package
  * Switch hashing implementation from OpenSSL to Libgcrypt
  * Build without OpenSSL
  * Depend on unhinted Roboto font (Closes: #922950)
  * Fix FTBFS of kodi-test by not #include-ing excluded Windows-only header
  * Fix dh_kodiaddon_depends to get API versions the new way
  * Refresh file list shipped by kodi-addons-dev
  * Remove myself from Uploaders
  * Work around FTBFS caused by fontforge SEGFAULT
  * New upstream version 18.5+dfsg1 (CVE-2017-5982)
  * debian/gbp.conf: Drop postexport hook.
    It is obsoleted by storing all components in git.
  * Stop marking kodi-bin Multiarch: same since it now ships TexturePacker
  * Stop marking kodi-gbm, kodi-x11 and kodi-wayland Multiarch: same.
    They depend on kodi-bin which is not Multiarch: same either.
  * Build kodi-wayland, too

  [ Rechi ]
  * debian/copyright: update Files-Excluded
    - libUPnP was updated
    - UnrarXLib was split into an addon
    - Visual Studio files were removed
    - windows platform specific code location changed
  * drop unused Build-depends
  * add new Build-depends
  * debian/rules: remove unused DEB vars
  * debian/rules: remove non existent cmake options
    - egl is a required dependency on linux so there is no ENABLE_EGL switch
    - x11 isn't an optional dependency for gbm so there is no ENABLE_X11 switch
    - vdpau is only an optional dependency for x11, so ENABLE_VDPAU switch
      exists only for x11
  * debian/rules: update dlopened libs
    libass, libbluray, libcec, libcurl and libnfs are no longer dlopend
  * fix libmicrohttpd linking
  * debian/rules: install kodi-x11 as last package
    last installed package defines the fallback windowing in bin/kodi
  * fix depends syntax
  * fix test target build system dependency

 -- Balint Reczey <rbalint@ubuntu.com>  Fri, 24 Jan 2020 08:20:58 +0100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog kodi-eventclients-wiiremote`.
